> This page is for API Reference, version v0 (default).
> For other versions, use one of these documentation indexes:
> - v0 (default): https://docs.credal.ai/api-reference/v-0/llms.txt
> - v1: https://docs.credal.ai/api-reference/v-1/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.credal.ai/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.credal.ai/_mcp/server.

# Metadata

PATCH https://api.credal.ai/api/v0/users/metadata
Content-Type: application/json

Bulk patch metadata for users

Reference: https://docs.credal.ai/api-reference/api-reference/users/metadata

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Body (application/json)

This endpoint expects a list of UserMetadataPatch.

- `list of UserMetadataPatch`

## Types

### UserMetadataPatch

- `userEmail` (string, required)
- `metadata` (map from string to any, required) — Key-value object of metadata for user. Keys will be merged with any existing values but can also be set to `null` to effectively remove

## Examples

**Request**

```json
[
  {
    "userEmail": "ravin@credal.ai",
    "metadata": {
      "State": "NY",
      "Job Role": "CEO"
    }
  },
  {
    "userEmail": "jack@credal.ai",
    "metadata": {
      "State": "NY",
      "Department": "Engineering"
    }
  }
]
```